## org.eclipse.datatools.connectivity.ui.actions
Class PingAction

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.actions.PingAction

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.IActionDelegate

    public class PingAction

extends java.lang.Object
implements org.eclipse.ui.IActionDelegate, org.eclipse.jface.viewers.ISelectionProvider

Author:
  shongxum, brianf

Constructor Summary
`PingAction()`

Method Summary
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingAction

    public PingAction()

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`